if ARGV[0] == "-v" then
	print "SimpleCommandlineMemorer 1.0\n"
	print "(C)Taiki Hirayama\n\n"
	print "OPTION:\n"
	print "-v	version\n"
	print "-html    HTML OUTPUT\n"
	print "-grep    grep\n\n"
	print "Please read readme.txt\n"
	exit
end

if ARGV[0] == "-grep" then
	count = 1
	linecount = 0
	pat = Regexp.new(ARGV[1])
	while line = STDIN.gets()
		linecount += 1 
		if line =~ pat then
			print "\t<No:",count," line:",linecount,">\n"
			print line
			print "\n"
			count += 1
		end
	end
exit
end

if ARGV[0] == "-html" then
	print "<HTML>\n"
	print "<HEAD>\n"
	print "<TITLE>",ARGV[1],"</TITLE>\n"
	print "</HEAD>\n"
	print "<BODY>\n"
	print ARGV[2]
	print "<BR>\n"
	print "</BODY>\n"
	print "</HTML>\n"
else
	print ARGV[0]
	print "\n"
	print ARGV[1]
	print "\n"
exit
end

